import React, { useEffect, useState } from 'react';
import FlowEditor from '@/pages/flowEditor/index';
import { useSelector } from 'react-redux';

const ProjectContainer = ({ selected }) => {
  const { flowData } = useSelector(state => state.ideContainer);

  return (
    <FlowEditor initialData={flowData[selected.id] || {}} useDefault={true} />
  );
};

export default ProjectContainer;